(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    167687,       3912]
NotebookOptionsPosition[    124424,       2870]
NotebookOutlinePosition[    159585,       3657]
CellTagsIndexPosition[    159505,       3652]
WindowTitle->S22 Overview of webMathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[TextData[{
 "Overview of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]]
}], "Title"],

Cell[TextData[{
 StyleBox["Wolfram",
  FontSlant->"Plain"],
 " ",
 StyleBox["Online Seminar Series",
  FontColor->RGBColor[0.811765, 0.117647, 0.145098]]
}], "Subtitle"],

Cell[TextData[{
 StyleBox["Presenter:",
  FontSlant->"Plain"],
 " Adam Berry\nseminars@wolfram.com"
}], "Subsubtitle"],

Cell[TextData[{
 Cell[BoxData[
  DynamicBox[ToBoxes[
    Style[
     DateString[], FontFamily -> "Calibri"], StandardForm],
   ImageSizeCache->{255., {3., 16.}},
   UpdateInterval:>1]]],
 StyleBox["  (GMT ",
  StripOnInput->False],
 Cell[BoxData[
  DynamicBox[ToBoxes[
    Style[
     NumberForm[$TimeZone, NumberSigns -> {"-", "+"}], FontFamily -> 
     "Calibri"], StandardForm],
   ImageSizeCache->{32., {1., 15.}}]]],
 ")"
}], "Subsubtitle",
 CellMargins->{{Inherited, Inherited}, {Inherited, 100}},
 ShowStringCharacters->False,
 FontFamily->"Calibri",
 FontSize->20,
 FontWeight->"Plain",
 FontSlant->"Plain"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Overview", "Section"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " enables the creation of web sites containing interactive calculations and \
visualizations. This is achieved by integrating the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " computational engine with standard web technology. "
}], "Text"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " 3 is built on ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 7, bringing a more powerful calculation engine, better visualizations, and \
now ",
 StyleBox["dynamic interactivity",
  FontSlant->"Italic"],
 " to your sites."
}], "Text",
 CellChangeTimes->{{3.458323916241476*^9, 3.45832391677094*^9}}],

Cell[TextData[{
 "During this seminar we will look at the technology behind ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 ", some examples showing the main features in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " 3, and the new ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " development tools.\n",
 ButtonBox["www.wolfram.com/products/webmathematica",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/webmathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/webmathematica/"],
 " shows several examples of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " 3 in action."
}], "Text"],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Introduction", "Section"],

Cell[TextData[{
 "Using a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " site, a client brings nothing more than a browser to experience the \
computational power of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 "; no ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " knowledge is required."
}], "Text"],

Cell["\<\
Standard HTML interface elements are used, allowing users to enter input (by \
entering a text or uploading a file), run computations, and view results and \
visualizations.\
\>", "Text"],

Cell[TextData[{
 "At ",
 ButtonBox["library.wolfram.com/webMathematica/Mathematics/ConstantCurvature.\
jsp",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://library.wolfram.com/webMathematica/Mathematics/\
ConstantCurvature.jsp"], None}],
 " we see an example where several different types of input and output are \
used. These are all standard web interface elements, that can easily be used \
in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " sites."
}], "Text"],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 "Anatomy of a JSP: A basic ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " form"
}], "Section"],

Cell["\<\
< ! DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\" >
            < %@taglib uri = \"http://www.wolfram.com/msp\" prefix = \"msp\" \
% >
    
          < html lang = \"en\" >
           < head >
           < title > Hello World < /title >
           < meta http - equiv = \"Content-Type\" content = \"text/html; \
charset=iso-8859-1\"/ >
              < /head >
              < body >
              < h1 > Hello World < /h1 >
              < h4 > Date[] < /h4 >
             
    < msp : evaluate > 
    \tDate::usage
    < /msp : evaluate >
            < p > Its current value is : < /p >
                     < msp : evaluate > 
                     \tDate[]
    \t\t\t\t < /msp : evaluate >
            < p >
            < i > This example shows a basic use of webMathematica. < /i >
            < /p >
            < /body >
            < /html >\
\>", "Program"],

Cell[TextData[{
 "This is a very simple example of a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " form. This breaks down into the page headers that declare the document \
type and the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " tab library. Then we have the plain html, embedded in that is the use of \
two ",
 StyleBox["<msp:evaluate>", "MR"],
 " tags, and it is inside of these that we enter the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code that we wish to have evaluated. The output is returned and appears in \
the page at that point in the html."
}], "Text"],

Cell[TextData[{
 "This example is included in the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " layout. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " is running locally you can navigate to ",
 ButtonBox["http://localhost:8080/webMathematica/BrowseExamples/Hello.html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/BrowseExamples/Hello.html"], 
    None}],
 "."
}], "Text",
 CellChangeTimes->{{3.412591225267255*^9, 3.412591234915435*^9}, {
   3.4125928295300913`*^9, 3.412592931278715*^9}, 3.4125930014398623`*^9, {
   3.422031236905032*^9, 3.422031236905793*^9}, {3.422040538908084*^9, 
   3.422040550086269*^9}}],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Examples", "Section"],

Cell[TextData[{
 "Most of the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work is done inside the ",
 StyleBox["<msp:evaluate>", "MR"],
 " tag. Here we will look at some of the most common types of evaluation for \
a ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"web", 
     StyleBox[
      AdjustmentBox["Mathematica",
       BoxMargins->{{-0.175, 0}, {0, 0}}],
      FontSlant->"Italic"]}]], TextForm]]],
 " enabled site, which also highlight the most used features of ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"web", 
     StyleBox[
      AdjustmentBox["Mathematica",
       BoxMargins->{{-0.175, 0}, {0, 0}}],
      FontSlant->"Italic"]}]], TextForm]]],
 "."
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Examples: User input", "Section"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " makes it easy to capture user input for use in calculations. First we can \
enter a standard input field in HTML."
}], "Text"],

Cell["< input type = \"text\" name = \"input\" size = \"10\"/ >", "Program"],

Cell["", "Spacer"],

Cell["\<\
Then we can add the evaluation based on this input, and use a button to \
trigger the evaluation.\
\>", "Text"],

Cell["\<\
< msp : evaluate > $$input < /msp : evaluate >
       < br/ >
< input type = \"submit\" name = \"submitButton\" value = \"Evaluate\"/ >\
\>", "Program"],

Cell["", "Spacer"],

Cell[TextData[{
 "We can see this in action at ",
 ButtonBox["http://localhost:8080/webMathematica/BrowseExamples/Variables.\
html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/BrowseExamples/Variables.html"],
     None}],
 "."
}], "Text",
 CellChangeTimes->{{3.4216037145304127`*^9, 3.421603751640794*^9}, {
  3.421603921783893*^9, 3.421603939573188*^9}, {3.421603996452286*^9, 
  3.4216040081456738`*^9}, {3.422031309893364*^9, 3.42203130989415*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Examples: Formatting output", "Section"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " can provide output formatted, either by the front end using standard ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " formatting, or for html formatted output such as an html table. Standard \
formatting of output is done using the function ",
 StyleBox["MSPFormat", "MR"],
 ". The following example will result in the output appearing in ",
 Cell[BoxData[
  ButtonBox["StandardForm",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/StandardForm"]], "InlineFormula"],
 "."
}], "Text"],

Cell["\<\
<msp:evaluate>
\tMSPFormat[Integrate[Sin[x],{x,}],StandardForm]
</msp:evaluate>\
\>", "Program"],

Cell["", "Spacer"],

Cell[TextData[{
 "A similar example can be seen at ",
 ButtonBox["http://localhost:8080/webMathematica/BrowseExamples/Integrate.\
html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/BrowseExamples/Integrate.html"],
     None}],
 "."
}], "Text",
 CellChangeTimes->{{3.412596824762477*^9, 3.41259683554501*^9}, {
  3.41259689883881*^9, 3.4125969008939*^9}, {3.422031361859302*^9, 
  3.422031361860073*^9}}],

Cell[TextData[{
 "We can create an HTML table directly using the function ",
 StyleBox["HTMLTableForm", "MR"],
 ". This is similar in usage to the function ",
 Cell[BoxData[
  ButtonBox["TableForm",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/TableForm"]], "InlineFormula"],
 ", except it results in HTML table output."
}], "Text"],

Cell["\<\
<msp:evaluate>
\tHTMLTableForm[]
</msp:evaluate>\
\>", "Program"],

Cell[TextData[{
 ButtonBox["http://localhost : \
8080/webMathematica/BrowseExamples/HTML/RegressTable.html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/BrowseExamples/HTML/\
RegressTable.html"], None}],
 " shows ",
 StyleBox["HTMLTableForm", "MR"],
 " in use."
}], "Text",
 CellChangeTimes->{{3.412600097363008*^9, 3.412600121700015*^9}, {
  3.422031396690104*^9, 3.422031412818623*^9}}],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Examples: Graphics", "Section"],

Cell[TextData[{
 "To display a two-dimensional graphic in a page, you wrap the graphic \
function in a function from the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " application MSP called ",
 StyleBox["MSPShow", "MR"],
 "."
}], "Text",
 CellChangeTimes->{{3.412593214163746*^9, 3.412593304662793*^9}, {
  3.4125935538070383`*^9, 3.4125935572786417`*^9}, {3.4125936090084352`*^9, 
  3.4125936426098127`*^9}, {3.4125937372846603`*^9, 3.412593764488387*^9}, {
  3.412593807159115*^9, 3.412593823319429*^9}, {3.412593857768375*^9, 
  3.412593863129656*^9}}],

Cell["\<\
<msp:evaluate>
\tMSPShow[Plot[Sin[x],{x,0,2*Pi}]]
</msp:evaluate>\
\>", "Program"],

Cell["", "Spacer"],

Cell[TextData[{
 "Navigate to ",
 ButtonBox["http://localhost:8080/webMathematica/BrowseExamples/Plot.html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/BrowseExamples/Plot.html"], 
    None}],
 " to see an example of this, which also uses user supplied input."
}], "Text",
 CellChangeTimes->{{3.412593943123694*^9, 3.412593961899971*^9}, {
  3.412594042945095*^9, 3.412594048334797*^9}, {3.4125941803267612`*^9, 
  3.412594183251217*^9}, {3.422031436547702*^9, 3.422031436548171*^9}}],

Cell[TextData[{
 "Inserting a three-dimensional graphic works in much the same way, using the \
function ",
 StyleBox["MSPLive3D", "MR"],
 "."
}], "Text"],

Cell["\<\
<msp:evaluate>
\tMSPLive3D[Sin[x y/4],{x,0,2*Pi},{y,0,2*Pi}]
</msp:evaluate>\
\>", "Program"],

Cell["", "Spacer"],

Cell[TextData[{
 "Navigate to ",
 ButtonBox["http://localhost:8080/webMathematica/BrowseExamples/Plot3DLive.\
html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/BrowseExamples/Plot3DLive.html"]\
, None}],
 " to see an example of this, again with user provided input."
}], "Text",
 CellChangeTimes->{{3.4125956140191393`*^9, 3.412595619217451*^9}, {
  3.412595695265147*^9, 3.412595701364457*^9}, {3.4125957670150967`*^9, 
  3.412595774774623*^9}, {3.422031452126678*^9, 3.422031452145166*^9}}],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Examples: Manipulate on the web\
\>", "Section"],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 introduced ",
 StyleBox["dynamic interactivity",
  FontSlant->"Italic"],
 ". ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " contains a web version of the dynamic function ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 ", built using flash technology. To use ",
 StyleBox["MSPManipulate", "MR"],
 " within a page you have to first load the ",
 StyleBox["MSPManipulate", "MR"],
 " package, and setup the ",
 StyleBox["MSPManipulate", "MR"],
 " headers, this is done by the following:"
}], "Text"],

Cell["\<\
<msp:evaluate>
\tNeeds[\"MSPManipulate`\"]
</msp:evaluate>

<msp:evaluate>
\tMSPManipulateHeader[$$updateArgs, $$manipulateNumber]
</msp:evaluate>\
\>", "Program"],

Cell["", "Spacer"],

Cell[TextData[{
 "Once this has been done you can use ",
 StyleBox["MSPManipulate", "MR"],
 " to create ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " like panels."
}], "Text"],

Cell["\<\
< msp : evaluate >
   \tMSPManipulate[ Plot[ Cos[var+x], {x,0,2Pi}, Frame -> frame], {var, \
0,20}, {frame, {True,False}}]
< /msp : evaluate >\
\>", "Program"],

Cell[TextData[{
 "You can see the above code in action at ",
 ButtonBox["http://localhost:8080/webMathematica/BrowseExamples/Manipulate/\
SliderPlot.html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/BrowseExamples/Manipulate/\
SliderPlot.html"], None},
  ButtonNote->
   "http://localhost:8080/webMathematica/BrowseExamples/Manipulate/SliderPlot.\
html"],
 "."
}], "Text",
 CellChangeTimes->{{3.4126065606654263`*^9, 3.412606575204726*^9}, {
  3.4126066198623238`*^9, 3.412606641411471*^9}, {3.422031553750071*^9, 
  3.422031555234055*^9}, {3.461943806133665*^9, 3.461943817113056*^9}}],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Using the Examples", "Section"],

Cell[TextData[{
 "We have looked at examples covering basic input, formatting output, \
producing graphics and using the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " version of the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " function. While these are the most common ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " operations, we can see other functionality displayed in other example \
pages that ship with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 "."
}], "Text"],

Cell[TextData[{
 "If you browse to ",
 ButtonBox["http://localhost:8080/webMathematica",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica"], None}],
 ", you will see a list of all the examples available. If you find an example \
that provides some functionality that you wish to use, you can view the \
source code by clicking on the ",
 StyleBox["Show Code", "Menu"],
 " item on the left hand side, a separate window will open up that contains \
the source."
}], "Text",
 CellChangeTimes->{{3.4183998740862494`*^9, 3.418399932920268*^9}, {
  3.418400349407832*^9, 3.4184003666800327`*^9}, {3.4184007792419443`*^9, 
  3.418400788399239*^9}, {3.418403094060413*^9, 3.418403120506884*^9}, {
  3.418405801201271*^9, 3.41840581247779*^9}, {3.422031589271124*^9, 
  3.422031589271904*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Queueing Evaluations", "Section"],

Cell[TextData[{
 "New in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " 3 is the ability to have evaluations run in the background without the \
client timing out waiting for the result. There is an example of this \
included in the installation at ",
 ButtonBox["http://localhost:8080/webMathematica/BrowseExamples/Queueing/\
Start.html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/BrowseExamples/Queueing/Start.\
html"], None}],
 "."
}], "Text",
 CellChangeTimes->{{3.421605420758545*^9, 3.421605537652894*^9}, {
  3.421605597931776*^9, 3.4216055983867083`*^9}, {3.4216058087427597`*^9, 
  3.421605833333631*^9}, {3.422031612026717*^9, 3.422031612027454*^9}}],

Cell["\<\
The basic idea is that the when the evaluation starts the evaluation is \
passed to a worker which then controls the evaluation in the kernel. You can \
look up the progress and then navigate to the results once the evaluation has \
finished. \
\>", "Text"],

Cell[TextData[{
 "To see more details on how to accomplish this see the Queueing tutorial at ",
 ButtonBox["http://localhost:8080/webMathematica/Resources/Documentation/\
English/tutorial/ApplicationsQueueing.html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/Resources/Documentation/English/\
tutorial/ApplicationsQueueing.html"], None}]
}], "Text",
 CellChangeTimes->{{3.421607006201518*^9, 3.421607033098234*^9}, {
  3.4227905629201107`*^9, 3.42279060626728*^9}, {3.422790636501178*^9, 
  3.422790636503222*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Usage Scenarios", "Section"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " allows any computation tool built on ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to be accessed via a web browser; as such there are many possible areas of \
use."
}], "Text"],

Cell[TextData[{
 "See ",
 ButtonBox["http://localhost:8080/webMathematica/Resources/Documentation/\
English/tutorial/IntroductionAreas.html#127597",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/Resources/Documentation/English/\
tutorial/IntroductionAreas.html#127597"], None}],
 " for a few ideas."
}], "Text",
 CellChangeTimes->{{3.4197683854093246`*^9, 3.419768441944839*^9}, {
  3.419768813440997*^9, 3.4197688342971373`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Documentation", "Section"],

Cell[TextData[{
 "If we navigate to ",
 ButtonBox["http://localhost:8080/webMathematica/Resources/Documentation/\
English/tutorial/Overview.html",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://localhost:8080/webMathematica/Resources/Documentation/English/\
tutorial/Overview.html"], None}],
 " we get the overview of the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " documentation. This documentation has been fully updated to ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 format."
}], "Text",
 CellChangeTimes->{{3.421604514174262*^9, 3.421604553537156*^9}, {
  3.4216045891861677`*^9, 3.421604612338566*^9}, {3.421604687425873*^9, 
  3.421604688781891*^9}, {3.421604747461104*^9, 3.421604784033087*^9}, {
  3.421604898487483*^9, 3.421604913428541*^9}, {3.421605038531466*^9, 
  3.421605046337493*^9}, {3.422031675226581*^9, 3.422031675227051*^9}}],

Cell[TextData[{
 "Every function and tag provided is documented, as well as guides to more \
advanced features of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.4216050506737337`*^9, 3.421605064577717*^9}, {
   3.4216051661907787`*^9, 3.421605211317895*^9}, {3.421605310477607*^9, 
   3.421605320723336*^9}, 3.421605883985718*^9, {3.421606829599411*^9, 
   3.4216068307500973`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 "Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"]
}], "Section"],

Cell[TextData[{
 "Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 " 2 now includes tools for developing ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " sites. These tools allow you to create and edit sites, control your \
development server, debug ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code running on the server, and view any of the servers log files live."
}], "Text",
 CellChangeTimes->{{3.475247718797996*^9, 3.475247718902307*^9}}],

Cell[TextData[{
 "Having all of this in one place makes Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 " an extremely powerful yet easy to use ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " development environment \[Dash] just tell the workbench where your servlet \
container is installed, and you are ready to start working."
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 "Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 ": ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " projects"
}], "Section"],

Cell[TextData[{
 "A wizard for creating a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " project is included, making it easy to start building a site. "
}], "Text",
 CellChangeTimes->{{3.410619273685924*^9, 3.41061930415868*^9}, {
  3.410619477359823*^9, 3.410619491398362*^9}, {3.410619562211179*^9, 
  3.410619610531561*^9}, {3.4106197300676823`*^9, 3.410619738378624*^9}, {
  3.4125411598137417`*^9, 3.412541160546846*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnQlYFMfWhvHJVSNhEZVNQGT7QYwQxYAKuYkscUGJy5WoIfHGJRqiMeJK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    "], {{0, 186}, {195, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{195, 186},
  PlotRange->{{0, 195}, {0, 186}}]], "Picture"],

Cell[TextData[{
 "In this example project we have a JSP, a ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " application, and a ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " notebook and html page for testing during development. "
}], "Text"],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 "Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 ": Editor"
}], "Section"],

Cell[TextData[{
 "A dedicated editor for JSPs that include ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code is included. This is built on the Amateras editor and includes syntax \
checking and content assists for the web content as well as any ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code that is in the page, meaning you will now catch code errors before \
you attempt to run this code on your server.\n"
}], "Text"],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Picture",
 ImageSize->{301, 51},
 ImageMargins->0],

Cell["\<\
This editor\[CloseCurlyQuote]s preview tab so that you can see how the page \
will look before testing on the server. 
\
\>", "Text"],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Picture",
 ImageSize->{415, 289},
 ImageMargins->0,
 Magnification->1.],

Cell[TextData[{
 "This editor also comes with a palette view, similar to palettes in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that allow you to quickly and easily write pages that include html forms \
and ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code."
}], "Text"],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 "Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 ": Server view"
}], "Section"],

Cell[TextData[{
 "The ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " server view is central to the workflow of developing sites in Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 ". It allows you to start and stop the server, deploy projects when you are \
ready to test them, start debugging, and connect to a log file."
}], "Text"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnQl8TVfX//v++3QyVs1VNVUNRVsPah5KaVFFH5TGUFSpqeaa5yGoIIgx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    "], {{0, 308}, {262, 0}}, {0, 
    255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{262, 308},
  PlotRange->{{0, 262}, {0, 308}}]], "Picture"],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 "Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 ": Running and debugging"
}], "Section"],

Cell[TextData[{
 "Testing your site is as simple as starting the server, deploying the \
project and then clicking on the link in the test page that automatically \
opens in the ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s internal browser after deployment.\n"
}], "Text"],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Picture",
 ImageSize->{416, 196},
 ImageMargins->0,
 Magnification->1.],

Cell["\<\
When you make a change to the code, all you have to do to test the change is \
save, deploy, and then reload, and without changing applications you get to \
test the new version. \
\>", "Text",
 CellChangeTimes->{{3.410621988035079*^9, 3.410622042690155*^9}, {
  3.410622096176673*^9, 3.410622211680684*^9}, {3.41062315578681*^9, 
  3.4106231705844316`*^9}, {3.4220414315223303`*^9, 3.4220414433227177`*^9}}],

Cell[TextData[{
 "You can debug ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code running on the server, simply start and connect to the server in \
debug mode, then set a breakpoint and deploy your project. When the \
evaluation hits your breakpoint you will be able to interact with the stack, \
as you can during ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " development work."
}], "Text",
 CellChangeTimes->{{3.410624102444736*^9, 3.410624310060672*^9}}],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 "Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 ": Viewing log files"
}], "Section"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " 3 provides an extensive logging system. Using the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " tools we can connect to these log files and see them update in real time."
}], "Text",
 CellChangeTimes->{{3.421607464715588*^9, 3.421607468558642*^9}, {
  3.421607520842044*^9, 3.421607545859111*^9}, {3.421607807939659*^9, 
  3.421607808676057*^9}, {3.421607853062011*^9, 3.421607881450241*^9}, {
  3.421607938852768*^9, 3.421607952488832*^9}}],

Cell[TextData[{
 "To view a log file, simply click the ",
 StyleBox["View Log", "Menu"],
 " button in the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " server view, and then browse to the file. Once you are done the log will \
appear in the console view, and you will see it updated as changes are \
written. This really is an incredibly useful debugging and development tool \
for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 ", allowing you to pinpoint problems faster than ever before."
}], "Text",
 CellChangeTimes->{{3.4752477925526133`*^9, 3.4752477939330893`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " Installation"
}], "Section"],

Cell[TextData[{
 "Getting a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " server up and running is simple. You need to install the following:"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Mathematica",
 FontSlant->"Italic"]], "Item"],

Cell["Java Development Kit", "Item",
 CellChangeTimes->{{3.4101225211932173`*^9, 3.410122521577129*^9}, {
  3.41062327549667*^9, 3.4106232799243507`*^9}}],

Cell["\<\
A Servlet Container that supports Servlet 2.4 and JSP 2.0 specifications \
(Apache Tomcat 5.5 is the reference)\
\>", "Item",
 CellChangeTimes->{{3.40968086341428*^9, 3.409680872382256*^9}, {
  3.410122471319775*^9, 3.4101224793038473`*^9}, {3.410122528041494*^9, 
  3.410122534473523*^9}, {3.410623282516185*^9, 3.410623295477173*^9}, {
  3.410623630983721*^9, 3.410623685094185*^9}, {3.42160810695186*^9, 
  3.4216081074943447`*^9}}],

Cell[TextData[{
 "The web",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " webapp"
}], "Item"],

Cell[TextData[{
 "Optionally install Wolfram ",
 StyleBox["Workbench.",
  FontSlant->"Italic"]
}], "Item",
 CellChangeTimes->{{3.4197675299955597`*^9, 3.4197675539256897`*^9}}]
}, Open  ]],

Cell[TextData[{
 "On many systems if everything is installed in the default location no \
further configuration is required to run ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 "."
}], "Text"],

Cell[TextData[{
 "To use a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " site a client only needs a web browser. Java and Flash may also be \
required, depending on the content."
}], "Text",
 CellChangeTimes->{{3.409681189754727*^9, 3.409681203168635*^9}, {
  3.409681310400635*^9, 3.409681350781619*^9}, {3.4101225889556217`*^9, 
  3.410122677126985*^9}, {3.410623311110202*^9, 3.410623317179538*^9}}],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["How to Get It", "Section"],

Cell[TextData[{
 "Visit ",
 ButtonBox["www.wolfram.com/products/webmathematica/versions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/webmathematica/versions/"], None},
  ButtonNote->"http://www.wolfram.com/products/webmathematica/versions/"],
 " to request your copy or contact sales."
}], "Text"],

Cell[TextData[{
 "Wolfram Workbench 2 is available as a Premier Service benefit and for \
individual purchase. For details please visit ",
 ButtonBox["www.wolfram.com/products/workbench.",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/workbench"], None},
  ButtonNote->"http://www.wolfram.com/products/workbench"]
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Training", "Section"],

Cell[TextData[{
 "M235: ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Development using Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 ", ",
 ButtonBox["wolfram.com/services/education/courses/m235.html.",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://wolfram.com/services/education/courses/m235.html"], None}]
}], "Text"],

Cell[TextData[{
 "A course for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"web", 
    StyleBox[
     AdjustmentBox["Mathematica",
      BoxMargins->{{-0.175, 0}, {0, 0}}],
     FontSlant->"Italic"]}], TextForm]]],
 " is planned for the near future."
}], "Text",
 CellChangeTimes->{{3.46195188503691*^9, 3.461951914140275*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Further Resources", "Section"],

Cell[CellGroupData[{

Cell[TextData[{
 "web",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " product page: ",
 ButtonBox["www.wolfram.com/products/webmathematica",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/webmathematica/index.html"], None}]
}], "Item"],

Cell[TextData[{
 "Wolfram ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 " product page: ",
 ButtonBox["www.wolfram.com/products/workbench",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/workbench/"], None}]
}], "Item"],

Cell[TextData[{
 "Java: ",
 ButtonBox["java.sun.com",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://java.sun.com/"], None}]
}], "Item"],

Cell[TextData[{
 "Apache Tomcat: ",
 ButtonBox["tomcat.apache.org",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://tomcat.apache.org/"], None}]
}], "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
Saveable->True,
ScreenStyleEnvironment->"SlideShow",
WindowSize->{1120, 774},
WindowMargins->{{5, Automatic}, {Automatic, 5}},
WindowTitle->"S22 Overview of webMathematica",
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell[
       TextData[{"Style Definitions for \n", 
         StyleBox["Wolfram Seminars", FontSlant -> "Italic"]}], "Subtitle"], 
      Cell[
       StyleData[StyleDefinitions -> "Default.nb"]], 
      Cell[
       StyleData[StyleDefinitions -> "StyleMenuClear.nb"]], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Definitions", "Section"], 
         Cell[
          StyleData[
          All, "SlideShow", StyleDefinitions -> 
           StyleData[All, "Presentation"]], PageWidth -> WindowWidth, 
          DockedCells -> Cell[
            BoxData[
             GridBox[{{
                TooltipBox[
                 ButtonBox[
                  StyleBox[
                   RowBox[{"  ", "\[EmptySquare]", " "}], FontSize -> 20, 
                   GrayLevel[0.7]], Appearance -> None, 
                  ButtonFunction :> (
                   FEPrivate`NotebookToggleFullScreen[]; {}), Evaluator -> 
                  None], 
                 DynamicBox[
                  FEPrivate`FrontEndResource[
                  "SlideshowToolbarText", "TooltipToggleFullScreen"]]], 
                StyleBox[
                 RowBox[{
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[FirstPage]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPageFirst", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipFirstSlide"]]], 
                   "\[InvisibleSpace]", 
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[LeftPointer]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPagePrevious", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipPreviousSlide"]]], 
                   "\[InvisibleSpace]", 
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[RightPointer]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPageNext", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipNextSlide"]]], 
                   "\[InvisibleSpace]", 
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[LastPage]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPageLast", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipLastSlide"]]]}], 
                 ButtonBoxOptions -> {Alignment -> {Automatic, 
                    FEPrivate`If[
                    FEPrivate`SameQ[
                    FEPrivate`$OperatingSystem, "Unix"], -0.4, -0.5]}, 
                   Appearance -> "Palette", 
                   ButtonFunction :> (FEPrivate`FrontEndExecute[
                    FrontEnd`FrontEndToken[
                    FrontEnd`ButtonNotebook[], #]]& ), Evaluator -> None, 
                   FrameMargins -> 0, ImageMargins -> 0, ImageSize -> 
                   Medium}], 
                
                DynamicModuleBox[{$CellContext`cells$$ = {}, \
$CellContext`tagFind$$ = False}, 
                 TagBox[
                  DynamicBox[
                   PopupMenuBox[
                    Dynamic[
                    0, With[{$CellContext`nb$ = ButtonNotebook[]}, 
                    SelectionMove[$CellContext`nb$, Before, Notebook, 
                    AutoScroll -> False]; If[$CellContext`tagFind$$, 
                    Do[
                    
                    NotebookFind[$CellContext`nb$, "SlideShowHeader", Next, 
                    CellTags, AutoScroll -> False], {#}], 
                    Do[
                    
                    NotebookFind[$CellContext`nb$, "SlideShowNavigationBar", 
                    Next, CellStyle, AutoScroll -> False], {#}]]; 
                    SelectionMove[$CellContext`nb$, After, Cell, AutoScroll -> 
                    False]; NotebookWrite[$CellContext`nb$, 
                    Cell["", Deletable -> True, ShowCellBracket -> False], 
                    All]; NotebookDelete[$CellContext`nb$]; 
                    SelectionMove[$CellContext`nb$, 
                    If[$CellContext`tagFind$$, Previous, Next], 
                    Cell]]& ], $CellContext`cells$$, 
                    StyleBox[
                    RowBox[{
                    DynamicBox[
                    CurrentValue[{"CounterValue", "SlideShowNavigationBar"}]], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "SlideshowToolbarCounterText"]], 
                    DynamicBox[
                    
                    CurrentValue[{
                    "MaxCounterValue", "SlideShowNavigationBar"}]]}], 
                    "ControlStyle"], Appearance -> None, ImageSize -> 
                    Automatic], ImageSizeCache -> {50., {6., 18.}}], 
                  
                  EventHandlerTag[{
                   "MouseDown" :> 
                    Module[{$CellContext`cnt$, $CellContext`nb$ = 
                    InputNotebook[]}, $CellContext`cells$$ = {}; \
$CellContext`cnt$ = Apply[(
                    NotebookFind[$CellContext`nb$, #, All, #2, AutoScroll -> 
                    False]; CurrentValue[$CellContext`nb$, {
                    "CellCount", True}])& , {{
                    "SlideShowNavigationBar", CellStyle}, {
                    "SlideShowHeader", CellTags}}, {1}]; $CellContext`cnt$ = 
                    Apply[If[$CellContext`tagFind$$ = # == 
                    0, #2, #]& , $CellContext`cnt$]; 
                    SelectionMove[$CellContext`nb$, Before, Notebook, 
                    AutoScroll -> False]; 
                    If[$CellContext`tagFind$$, $CellContext`cells$$ = 
                    Map[# -> StringJoin["Slide ", 
                    ToString[#]]& , 
                    Range[$CellContext`cnt$]], 
                    Do[NotebookFind[$CellContext`nb$, 
                    "SlideShowNavigationBar", Next, CellStyle, AutoScroll -> 
                    False]; SelectionMove[$CellContext`nb$, Next, Cell, 
                    AutoScroll -> False]; AppendTo[$CellContext`cells$$, 
                    ReplaceAll[
                    NotebookRead[$CellContext`nb$], Pattern[$CellContext`s, 
                    Blank[StyleBox]] :> With[{$CellContext`ss = Join[
                    Take[$CellContext`s, 1], 
                    DeleteCases[
                    Rest[$CellContext`s], 
                    Alternatives[
                    Blank[String], 
                    Blank[][FontColor, 
                    Blank[]]]]]}, 
                    
                    Condition[$CellContext`ss, 
                    True]]]], {$CellContext`cnt$}]; $CellContext`cells$$ = 
                    Replace[
                    Part[$CellContext`cells$$, All, 1], {BoxData[
                    Pattern[$CellContext`c, 
                    Blank[]]] :> $CellContext`c, TextData[
                    Pattern[$CellContext`c, 
                    Blank[]]] :> RowBox[
                    If[
                    
                    ListQ[$CellContext`c], $CellContext`c, \
{$CellContext`c}]]}, 1]; $CellContext`cells$$ = 
                    Thread[Range[$CellContext`cnt$] -> \
$CellContext`cells$$]]], PassEventsDown -> True, EvaluationOrder -> Before, 
                    PassEventsDown -> Automatic, PassEventsUp -> True}]], 
                 DynamicModuleValues :> {}]}}, AutoDelete -> False, 
              GridBoxItemSize -> {"Columns" -> {Automatic, Fit, Automatic}}]],
             "DockedCell", CellDynamicExpression :> If[CurrentValue[
                EvaluationNotebook[], {TaggingRules, "DisableController"}] === 
              True, Null, 
              (FrontEndExecute[
               FrontEnd`FrontEndToken[
                FrontEnd`InputNotebook[], #]]& )[
               Switch[
                ControllerState["Apple IR", {"B1", "B2"}], {True, 
                 Blank[]}, "ScrollPagePrevious", {
                 Blank[], True}, "ScrollPageNext", 
                Blank[], None]]], Magnification -> 0.75], 
          ScrollingOptions -> {
           "PagewiseDisplay" -> True, "VerticalScrollRange" -> Fit}, 
          ShowGroupOpener -> False, MenuSortingValue -> 1300], 
         Cell[
          StyleData["DockedCell"], Editable -> False, Evaluator -> "Local", 
          PageWidth -> WindowWidth, CellFrame -> {{0, 0}, {0, 0}}, 
          ShowSelection -> True, CellMargins -> {{0, 0}, {0, 0}}, 
          CellElementSpacings -> {
           "ClosedCellHeight" -> 0, "ClosedGroupTopMargin" -> 0}, 
          DynamicUpdating -> True, CellFrameMargins -> {{0, 0}, {0, 4}}, 
          ContextMenu -> None, ComponentwiseContextMenu -> {}, 
          ShowStringCharacters -> False, LineBreakWithin -> False, 
          Magnification -> 1, Background -> GrayLevel[0.97], 
          TooltipBoxOptions -> {TooltipDelay -> Automatic}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], MenuSortingValue -> 1, MenuCommandKey -> "1",
              FontFamily -> "Georgia", FontSize -> 36, FontWeight -> Plain, 
             FontColor -> RGBColor[0.796078, 0.0705882, 0]], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{90, 100}, {10, 100}}, FontSize -> 54], 
            Cell[
             StyleData["Title", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], MenuSortingValue -> 100, MenuCommandKey -> 
             "2", FontFamily -> "Georgia", FontSize -> 24, FontWeight -> 
             "Plain", FontSlant -> "Italic"], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{90, 100}, {100, 20}}, FontSize -> 32], 
            Cell[
             StyleData["Subtitle", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], MenuSortingValue -> 200, 
             MenuCommandKey -> "3", FontFamily -> "Georgia", FontSize -> 20, 
             FontWeight -> "Plain", FontSlant -> "Italic", FontColor -> 
             GrayLevel[0.2]], 
            Cell[
             StyleData["Subsubtitle", "Presentation"], 
             CellMargins -> {{90, 20}, {2, 120}}, LineSpacing -> {1.25, 1}, 
             FontSize -> 26], 
            Cell[
             StyleData["Subsubtitle", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DateSection"], CellMargins -> {{30, 0}, {12, 24}}, 
             ShowStringCharacters -> False], 
            Cell[
             StyleData["DateSection", "Presentation"], 
             CellMargins -> {{90, 20}, {2, 36}}, ShowStringCharacters -> 
             False, FontSize -> 21], 
            Cell[
             StyleData["DateSection", "SlideShow"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Sections", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Chapter"], CellMargins -> {{27, Inherited}, {8, 34}}, 
             CounterIncrements -> {"Chapter"}, MenuSortingValue -> 2410, 
             FontFamily -> "Georgia", FontSize -> 28, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098], CellTags -> "Chapter"], 
            Cell[
             StyleData["Chapter", "Presentation"], CellFrame -> None, 
             CellMargins -> {{80, 60}, {20, 30}}, FontSize -> 36], 
            Cell[
             StyleData["Chapter", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "LargeChapter", $CellContext`StyleDefnitions -> 
              StyleData["Chapter"]], 
             CellMargins -> {{27, Inherited}, {8, 34}}, MenuSortingValue -> 
             2430, FontFamily -> "Georgia", FontSize -> 30, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098]], 
            Cell[
             StyleData["LargeChapter", "Presentation"], 
             CellMargins -> {{100, 100}, {10, 150}}, FontSize -> 54], 
            Cell[
             StyleData["LargeChapter", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> 0, MenuSortingValue -> 1200, 
             MenuCommandKey -> "4", FontFamily -> "Georgia", FontSize -> 24, 
             FontWeight -> Plain, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098]], 
            Cell[
             StyleData["Section", "Presentation"], CellFrame -> None, 
             CellMargins -> {{80, 14}, {30, 30}}, FontFamily -> "Georgia", 
             FontSize -> 34, FontWeight -> Plain, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098]], 
            Cell[
             StyleData["Section", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], CellDingbat -> "\[RightGuillemet]", 
             CellGroupingRules -> {"SectionGrouping", 40}, MenuSortingValue -> 
             1300, MenuCommandKey -> "5", FontFamily -> "Georgia", FontSize -> 
             22, FontWeight -> Plain, FontColor -> GrayLevel[0.25]], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{80, 60}, {12, 20}}, FontSize -> 25], 
            Cell[
             StyleData["Subsection", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> "\[RightGuillemet]", 
             MenuSortingValue -> 1400, MenuCommandKey -> "6", FontFamily -> 
             "Georgia", FontSize -> 20, FontWeight -> Plain, FontColor -> 
             GrayLevel[0.3]], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{88, 60}, {0, 12}}, FontSize -> 22], 
            Cell[
             StyleData["Subsubsection", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "MoreExamplesSection", StyleDefinitions -> 
              StyleData["Subsubsection"]], CellDingbat -> None, 
             ShowGroupOpener -> True, 
             CellGroupingRules -> {"SectionGrouping", 45}, MenuSortingValue -> 
             2100, FontColor -> RGBColor[0.636862, 0.0564706, 0.]], 
            Cell[
             StyleData["MoreExamplesSection", "Presentation"], 
             CellMargins -> {{88, 60}, {20, 12}}], 
            Cell[
             StyleData["MoreExamplesSection", "SlideShow"], 
             CellMargins -> {{88, 60}, {20, 
              12}}, $CellContext`WholeCellGroupOpener -> True]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], MenuSortingValue -> 2000, MenuCommandKey -> 
             "7", FontFamily -> "Georgia", FontSize -> 18], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{80, 20}, {12, 12}}, LineSpacing -> {1.25, 1}, 
             FontFamily -> "Georgia", FontSize -> 20], 
            Cell[
             StyleData["Text", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MathCaption"], MenuSortingValue -> 2010, 
             MenuCommandKey -> "8", FontFamily -> "Georgia", FontSize -> 18, 
             FontColor -> GrayLevel[0]], 
            Cell[
             StyleData["MathCaption", "Presentation"], 
             CellMargins -> {{120, 12}, {6, 34}}, LineSpacing -> {1.25, 1}, 
             FontSize -> 20], 
            Cell[
             StyleData["MathCaption", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "IntegrationMathCaption", StyleDefinitions -> 
              StyleData["MathCaption"]], CellMargins -> {{0, 12}, {2, 24}}, 
             CellFrameMargins -> {{0, 0}, {0, 3}}, CellFrameLabels -> {{
                PaneBox[
                 FrameBox[
                  StyleBox[
                  "Integration", FontFamily -> "Helvetica", FontSize -> 9, 
                   FontColor -> GrayLevel[1], FontWeight -> Plain], 
                  Background -> RGBColor[0.811765, 0.117647, 0.145098], 
                  BoxFrame -> 0, FrameStyle -> None, 
                  FrameMargins -> {{3, 3}, {1, 1}}], ImageSize -> 56, 
                 Alignment -> Left, FrameMargins -> 0], None}, {None, None}}], 
            Cell[
             StyleData["IntegrationMathCaption", "Presentation"], 
             CellMargins -> {{30, 12}, {12, 12}}, 
             CellFrameMargins -> {{10, 0}, {0, 5}}, FontSize -> 20], 
            Cell[
             StyleData["IntegrationMathCaption", "SlideShow"], 
             CellMargins -> {{30, 12}, {12, 12}}, 
             CellFrameMargins -> {{10, 0}, {0, 5}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "AutomationMathCaption", StyleDefinitions -> 
              StyleData["IntegrationMathCaption"]], 
             CellMargins -> {{0, 12}, {2, 24}}, 
             CellFrameMargins -> {{0, 0}, {0, 3}}, CellFrameLabels -> {{
                PaneBox[
                 FrameBox[
                  StyleBox[
                  "Automation", FontFamily -> "Helvetica", FontSize -> 9, 
                   FontColor -> GrayLevel[1], FontWeight -> Plain], 
                  Background -> RGBColor[0.811765, 0.117647, 0.145098], 
                  BoxFrame -> 0, FrameStyle -> None, 
                  FrameMargins -> {{3, 3}, {1, 1}}], ImageSize -> 56, 
                 Alignment -> Left, FrameMargins -> 0], None}, {None, None}}], 
            Cell[
             StyleData["AutomationMathCaption", "Presentation"], 
             CellMargins -> {{30, 12}, {12, 12}}, FontSize -> 20], 
            Cell[
             StyleData["AutomationMathCaption", "SlideShow"], 
             CellMargins -> {{30, 12}, {12, 12}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Comment", StyleDefinitions -> StyleData["Text"]], 
             CellMargins -> {{0, 12}, {2, 24}}, 
             CellFrameMargins -> {{0, 0}, {0, 3}}, CellFrameLabels -> {{
                PaneBox[
                 FrameBox[
                  StyleBox[
                  "Comment", FontFamily -> "Helvetica", FontSize -> 9, 
                   FontColor -> GrayLevel[1], FontWeight -> Plain], 
                  Background -> RGBColor[1., 0.647059, 0], BoxFrame -> 1, 
                  FrameStyle -> RGBColor[1., 0.647059, 0], 
                  FrameMargins -> {{3, 3}, {1, 1}}], ImageSize -> 56, 
                 Alignment -> Left, FrameMargins -> 0], None}, {None, None}}, 
             MenuSortingValue -> 2200, FontSize -> 14], 
            Cell[
             StyleData["Comment", "Presentation"], 
             CellMargins -> {{30, 12}, {12, 12}}, FontSize -> 16], 
            Cell[
             StyleData["Comment", "SlideShow"], 
             CellMargins -> {{30, 12}, {12, 12}}, FontSize -> 16]}, Closed]], 
         
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DisplayFormula"], 
             CellMargins -> {{60, Inherited}, {Inherited, Inherited}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", ScriptLevel -> 0, SingleLetterItalics -> True, 
             MenuSortingValue -> 1700, 
             UnderoverscriptBoxOptions -> {
              LimitsPositioning -> True}, $CellContext`StripStyleOnPaste -> 
             True], 
            Cell[
             StyleData["DisplayFormula", "Presentation"], 
             CellMargins -> {{120, Inherited}, {
               1.75 Inherited, 1.75 Inherited}}, LineSpacing -> {1, 5}, 
             FontFamily -> "Georgia", FontSize -> 20], 
            Cell[
             StyleData["DisplayFormula", "SlideShow"]]}, Closed]]}, Closed]], 
      
      Cell[
       CellGroupData[{
         Cell["Styles for Items", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Item"], CellDingbat -> "\[RightGuillemet] ", 
             LineSpacing -> {1.5, 0}, MenuSortingValue -> 2700, FontFamily -> 
             "Georgia", FontSize -> 18, FontColor -> GrayLevel[0.2]], 
            Cell[
             StyleData["Item", "Presentation"], 
             CellMargins -> {{116, 20}, {12, 12}}, FontFamily -> "Georgia", 
             FontSize -> 20], 
            Cell[
             StyleData["Item", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ItemParagraph"], MenuSortingValue -> 2710, FontFamily -> 
             "Georgia", FontSize -> 18, FontColor -> GrayLevel[0.2]], 
            Cell[
             StyleData["ItemParagraph", "Presentation"], 
             CellMargins -> {{120, 90}, {12, 12}}, LineSpacing -> {1.25, 0}, 
             FontFamily -> "Georgia", FontSize -> 20], 
            Cell[
             StyleData["ItemParagraph", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ItemNumbered"], LineSpacing -> {1.5, 0}, 
             MenuSortingValue -> 2720, FontFamily -> "Georgia", FontSize -> 
             18, FontColor -> GrayLevel[0.25]], 
            Cell[
             StyleData["ItemNumbered", "Presentation"], 
             CellMargins -> {{116, 20}, {12, 12}}, FontFamily -> "Georgia", 
             FontSize -> 20], 
            Cell[
             StyleData["ItemNumbered", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subitem"], CellDingbat -> "\[RightGuillemet] ", 
             LineSpacing -> {1.5, 0}, MenuSortingValue -> 2730, FontFamily -> 
             "Georgia", FontSize -> 16, FontColor -> GrayLevel[0.3]], 
            Cell[
             StyleData["Subitem", "Presentation"], 
             CellMargins -> {{136, 20}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 21], 
            Cell[
             StyleData["Subitem", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SubitemParagraph"], LineSpacing -> {1.5, 0}, 
             MenuSortingValue -> 2740, FontFamily -> "Georgia", FontSize -> 
             16, FontColor -> GrayLevel[0.3]], 
            Cell[
             StyleData["SubitemParagraph", "Presentation"], 
             CellMargins -> {{136, 90}, {10, 8}}, FontFamily -> "Georgia", 
             FontSize -> 18], 
            Cell[
             StyleData["SubitemParagraph", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SubitemNumbered"], LineSpacing -> {1.5, 0}, 
             MenuSortingValue -> 2750, FontFamily -> "Georgia", FontSize -> 
             16, FontColor -> GrayLevel[0.3]], 
            Cell[
             StyleData["SubitemNumbered", "Presentation"], 
             CellMargins -> {{136, 20}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 18], 
            Cell[
             StyleData["SubitemNumbered", "SlideShow"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input and Output", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], MenuSortingValue -> 2020, MenuCommandKey -> 
             "9", FontSize -> 18], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["Input", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], 
             CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
             LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 9, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6]], 
            Cell[
             StyleData["CellLabel", "Presentation"], 
             CellMargins -> {{12, Inherited}, {1.5 Inherited, 1.5 Inherited}},
              FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "SlideShow"], 
             CellMargins -> {{12, Inherited}, {1.5 Inherited, 1.5 Inherited}},
              FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaShort"], FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShort", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShort", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaShortInput"], FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShortInput", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShortInput", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaLong"], FontFamily -> "Helvetica", 
             FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLong", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLong", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaLongInput"], FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLongInput", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLongInput", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], MenuSortingValue -> 2030, FontSize -> 18], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["Output", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], FontSize -> 18], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["Print", "SlideShow"]]}, Closed]], 
         Cell[
          StyleData["MSG"], FontSize -> 16]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles of Links", "Section"], 
         Cell[
          StyleData["Link", "SlideShow"], FontSize -> 21], 
         Cell[
          StyleData["SearchLink", StyleDefinitions -> StyleData["Link"]]], 
         Cell[
          StyleData["FunctionLink"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Special Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Picture"], CellMargins -> {{100, 100}, {20, 20}}, 
             ShowStringCharacters -> False, MenuSortingValue -> 5000, 
             Magnification -> 1], 
            Cell[
             StyleData["Picture", "Presentation"], 
             CellMargins -> {{100, 100}, {20, 20}}, Magnification -> 1], 
            Cell[
             StyleData["Picture", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "PictureCaption", StyleDefinitions -> StyleData["Text"]], 
             CellDingbat -> "\[FilledUpTriangle]", 
             CellMargins -> {{114, 100}, {15, 4}}, ShowStringCharacters -> 
             False, MenuSortingValue -> 5100, FontSize -> 14, FontColor -> 
             GrayLevel[0.3]], 
            Cell[
             StyleData["PictureCaption", "Presentation"], 
             CellMargins -> {{114, 100}, {20, 4}}, FontSize -> 16], 
            Cell[
             StyleData["PictureCaption", "SlideShow"], 
             CellMargins -> {{114, 100}, {20, 4}}, FontSize -> 16]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OverviewTitle"], CellFrame -> None, 
             CellMargins -> {{100, 100}, {20, 60}}, FontFamily -> "Calibri", 
             FontSize -> 24, FontWeight -> "Bold", FontColor -> 
             GrayLevel[0.4]], 
            Cell[
             StyleData["OverviewTitle", "Presentation"], CellFrame -> None, 
             CellMargins -> {{100, 100}, {20, 60}}, FontFamily -> "Calibri", 
             FontSize -> 24, FontWeight -> "Bold", FontColor -> 
             GrayLevel[0.4]], 
            Cell[
             StyleData["OverviewTitle", "SlideShow"], CellFrame -> None, 
             CellMargins -> {{100, 100}, {20, 60}}, FontFamily -> "Calibri", 
             FontSize -> 24, FontWeight -> "Bold", FontColor -> 
             GrayLevel[0.4]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OverviewSection"], CellFrame -> None, 
             CellMargins -> {{120, 100}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 22, FontWeight -> Plain, FontColor -> 
             RGBColor[
              0.811765, 0.117647, 
               0.145098], $CellContext`ReturnCreatesNewCell -> True], 
            Cell[
             StyleData["OverviewSection", "Presentation"], CellFrame -> None, 
             CellMargins -> {{120, 100}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 22, FontWeight -> Plain, FontColor -> 
             RGBColor[
              0.811765, 0.117647, 
               0.145098], $CellContext`ReturnCreatesNewCell -> True], 
            Cell[
             StyleData["OverviewSection", "SlideShow"], CellFrame -> None, 
             CellMargins -> {{120, 100}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 22, FontWeight -> Plain, FontColor -> 
             RGBColor[
              0.811765, 0.117647, 
               0.145098], $CellContext`ReturnCreatesNewCell -> True]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ChapterTagline"], CellMargins -> {{60, 90}, {15, 0}}, 
             MenuSortingValue -> 2420, FontFamily -> "Georgia", FontSize -> 
             20, FontWeight -> "Plain", FontSlant -> "Italic", FontColor -> 
             GrayLevel[0.3]], 
            Cell[
             StyleData["ChapterTagline", "Presentation"], 
             CellMargins -> {{90, 90}, {15, 0}}, FontSize -> 24], 
            Cell[
             StyleData["ChapterTagline", "SlideShow"]]}, Closed]], 
         Cell[
          StyleData["PlotLabel"], FontFamily -> "Helvetica", FontSize -> 14], 
         
         Cell[
          StyleData["NonPrintButton"], 
          CellMargins -> {{128, Inherited}, {16, 0}}, FontFamily -> 
          "Helvetica", FontSize -> 12, FontColor -> GrayLevel[1], 
          ButtonBoxOptions -> {
           Background -> RGBColor[0.811765, 0.117647, 0.145098], 
            ButtonMargins -> 4}], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Program"]], 
            Cell[
             StyleData["Program", "SlideShow"], 
             CellMargins -> {{116, 48}, {16, 16}}, FontSize -> 18]}, 
           Closed]]}, Closed]]}, Open]]}, Visible -> False, FrontEndVersion -> 
  "8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, 2010)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[611, 23, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[1847, 78, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[4161, 167, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[5746, 231, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[8840, 341, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[9714, 380, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[11125, 434, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[13452, 522, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[15815, 605, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[18079, 695, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[20045, 760, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[21899, 815, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[22931, 854, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[24670, 909, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[25989, 960, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[37651, 1189, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[66133, 1692, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[92118, 2147, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[117236, 2589, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[119111, 2654, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[121652, 2751, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[122527, 2782, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[123375, 2820, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 157453, 3602}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[611, 23, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[678, 26, 221, 9, 172, "Title"],
Cell[902, 37, 169, 6, 156, "Subtitle"],
Cell[1074, 45, 118, 4, 191, "Subsubtitle"],
Cell[1195, 51, 615, 22, 127, "Subsubtitle"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1847, 78, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[1936, 83, 27, 0, 98, "Section"],
Cell[1966, 85, 443, 13, 75, "Text"],
Cell[2412, 100, 503, 17, 75, "Text"],
Cell[2918, 119, 1173, 40, 103, "Text"],
Cell[4094, 161, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4161, 167, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[4250, 172, 31, 0, 98, "Section"],
Cell[4284, 174, 579, 22, 75, "Text"],
Cell[4866, 198, 197, 4, 75, "Text"],
Cell[5066, 204, 610, 19, 103, "Text"],
Cell[5679, 225, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5746, 231, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[5835, 236, 247, 10, 98, "Section"],
Cell[6085, 248, 890, 27, 597, "Program"],
Cell[6978, 277, 855, 26, 133, "Text"],
Cell[7836, 305, 934, 28, 75, "Text"],
Cell[8773, 335, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8840, 341, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[8929, 346, 27, 0, 98, "Section"],
Cell[8959, 348, 706, 26, 76, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9714, 380, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[9803, 385, 39, 0, 98, "Section"],
Cell[9845, 387, 322, 10, 75, "Text"],
Cell[10170, 399, 76, 0, 68, "Program"],
Cell[10249, 401, 18, 0, 20, "Spacer"],
Cell[10270, 403, 121, 3, 46, "Text"],
Cell[10394, 408, 162, 4, 114, "Program"],
Cell[10559, 414, 18, 0, 20, "Spacer"],
Cell[10580, 416, 496, 12, 46, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11125, 434, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[11214, 439, 46, 0, 98, "Section"],
Cell[11263, 441, 687, 20, 108, "Text"],
Cell[11953, 463, 106, 4, 114, "Program"],
Cell[12062, 469, 18, 0, 20, "Spacer"],
Cell[12083, 471, 447, 12, 46, "Text"],
Cell[12533, 485, 336, 9, 80, "Text"],
Cell[12872, 496, 75, 4, 114, "Program"],
Cell[12950, 502, 432, 12, 47, "Text"],
Cell[13385, 516, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[13452, 522, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[13541, 527, 37, 0, 98, "Section"],
Cell[13581, 529, 692, 18, 76, "Text"],
Cell[14276, 549, 92, 4, 114, "Program"],
Cell[14371, 555, 18, 0, 20, "Spacer"],
Cell[14392, 557, 529, 11, 75, "Text"],
Cell[14924, 570, 154, 5, 47, "Text"],
Cell[15081, 577, 103, 4, 114, "Program"],
Cell[15187, 583, 18, 0, 20, "Spacer"],
Cell[15208, 585, 537, 12, 75, "Text"],
Cell[15748, 599, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15815, 605, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[15904, 610, 58, 2, 98, "Section"],
Cell[15965, 614, 780, 26, 108, "Text"],
Cell[16748, 642, 173, 8, 206, "Program"],
Cell[16924, 652, 18, 0, 20, "Spacer"],
Cell[16945, 654, 258, 9, 50, "Text"],
Cell[17206, 665, 169, 5, 137, "Program"],
Cell[17378, 672, 631, 15, 75, "Text"],
Cell[18012, 689, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18079, 695, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[18168, 700, 37, 0, 98, "Section"],
Cell[18208, 702, 962, 33, 107, "Text"],
Cell[19173, 737, 823, 17, 106, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20045, 760, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[20134, 765, 39, 0, 98, "Section"],
Cell[20176, 767, 842, 22, 103, "Text"],
Cell[21021, 791, 267, 5, 75, "Text"],
Cell[21291, 798, 559, 11, 75, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[21899, 815, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[21988, 820, 34, 0, 98, "Section"],
Cell[22025, 822, 382, 13, 75, "Text"],
Cell[22410, 837, 472, 11, 103, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[22931, 854, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[23020, 859, 32, 0, 98, "Section"],
Cell[23055, 861, 1009, 25, 103, "Text"],
Cell[24067, 888, 554, 15, 46, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[24670, 909, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[24759, 914, 89, 4, 98, "Section"],
Cell[24851, 920, 599, 18, 103, "Text"],
Cell[25453, 940, 487, 14, 104, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[25989, 960, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[26078, 965, 287, 13, 98, "Section"],
Cell[26368, 980, 562, 14, 46, "Text"],
Cell[26933, 996, 10389, 175, 226, "Picture"],
Cell[37325, 1173, 256, 8, 75, "Text"],
Cell[37584, 1183, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[37651, 1189, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[37740, 1194, 102, 5, 98, "Section"],
Cell[37845, 1201, 443, 10, 132, "Text"],
Cell[38291, 1213, 6738, 112, 91, "Picture"],
Cell[45032, 1327, 143, 4, 75, "Text"],
Cell[45178, 1333, 20590, 340, 329, "Picture"],
Cell[65771, 1675, 292, 9, 75, "Text"],
Cell[66066, 1686, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[66133, 1692, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[66222, 1697, 107, 5, 98, "Section"],
Cell[66332, 1704, 480, 14, 75, "Text"],
Cell[66815, 1720, 25233, 419, 348, "Picture"],
Cell[92051, 2141, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[92118, 2147, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[92207, 2152, 117, 5, 98, "Section"],
Cell[92327, 2159, 299, 7, 104, "Text"],
Cell[92629, 2168, 23636, 390, 236, "Picture"],
Cell[116268, 2560, 418, 7, 75, "Text"],
Cell[116689, 2569, 477, 12, 103, "Text"],
Cell[117169, 2583, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[117236, 2589, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[117325, 2594, 113, 5, 98, "Section"],
Cell[117441, 2601, 774, 21, 75, "Text"],
Cell[118218, 2624, 844, 24, 133, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[119111, 2654, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[119200, 2659, 224, 9, 98, "Section"],
Cell[119427, 2670, 291, 10, 46, "Text"],
Cell[CellGroupData[{
Cell[119743, 2684, 69, 1, 46, "Item"],
Cell[119815, 2687, 154, 2, 46, "Item"],
Cell[119972, 2691, 445, 8, 46, "Item"],
Cell[120420, 2701, 99, 5, 46, "Item"],
Cell[120522, 2708, 176, 5, 46, "Item"]
}, Open  ]],
Cell[120713, 2716, 327, 11, 75, "Text"],
Cell[121043, 2729, 539, 14, 75, "Text"],
Cell[121585, 2745, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[121652, 2751, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[121741, 2756, 32, 0, 98, "Section"],
Cell[121776, 2758, 337, 8, 46, "Text"],
Cell[122116, 2768, 362, 8, 75, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[122527, 2782, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[122616, 2787, 27, 0, 98, "Section"],
Cell[122646, 2789, 354, 12, 46, "Text"],
Cell[123003, 2803, 323, 11, 46, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[123375, 2820, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[123464, 2825, 36, 0, 98, "Section"],
Cell[CellGroupData[{
Cell[123525, 2829, 277, 9, 46, "Item"],
Cell[123805, 2840, 260, 9, 46, "Item"],
Cell[124068, 2851, 147, 6, 46, "Item"],
Cell[124218, 2859, 166, 6, 46, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
